<?php

/**
 * Bridge between Ajaxfilemanager_XH and CKEditor for CMSimple_XH.
 *
 * Copyright (c) 2012 Christoph M. Becker
 */


if (!defined('CMSIMPLE_XH_VERSION')) {
    header('HTTP/1.0 403 Forbidden');
    exit;
}


/**
 * Returns config to initialize Ajaxfilemanager_XH from CKeditor.
 *
 * @return string
 */
function ajaxfilemanager_ckeditor_init() {
    global $adm, $pth, $sl, $cf, $plugin_cf;

    if (!$adm) {return '';}
    if (!isset($plugin_cf['ajaxfilemanager'])) {
	include $pth['folder']['plugins'].'ajaxfilemanager/config/config.php';
    }
    require_once $pth['folder']['plugins'].'ajaxfilemanager/init.php';
    $lang = strlen($sl) == 2 ? $sl : $cf['language']['default'];
    $url =  $pth['folder']['base'].'ajaxfm/ajaxfilemanager.php?editor=ckeditor'
	    .'&language='.$lang.'&theme='.$plugin_cf['ajaxfilemanager']['theme'];
    return 'filebrowserBrowseUrl: "'.$url.'&type=downloads",'
	    .'filebrowserImageBrowseUrl: "'.$url.'&type=images",'
	    .'filebrowserFlashBrowseUrl: "'.$url.'&type=media",';
}

?>
